Bug 414211 - Review Request: mfiler2 - Two pane file manager under UNIX console
Review Request: mfiler2 - Two pane file manager under UNIX console
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On: 414191 414201
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-06 11:06 EST by Mamoru TASAKA
Modified: 2007-12-10 13:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 13:04:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
mock build of mfiler2 on rawhide, i386 (73.33 KB, text/plain)
2007-12-06 11:09 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2007-12-06 11:06:56 EST
Spec URL: http://mtasaka.fedorapeople.org/Review_request/mfiler2/mfiler2.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/mfiler2/mfiler2-3.2.3-1.fc8.src.rpm
Description: 
Minnu's Filer2 is a two pane file manager under UNIX console.

This bug depends on oniguruma (bug 414191) and wkf (bug 414201)
Comment 1 Mamoru TASAKA 2007-12-06 11:09:06 EST
Created attachment 279841 [details]
mock build of mfiler2 on rawhide, i386

As this package depends on two packages which are still under review,
currently koji scratch build cannot be done.

Mock build is successful on rawhide, i386.
Comment 2 Mamoru TASAKA 2007-12-07 23:28:29 EST
Review request on oniguma and wkf finished.
Now mfiler2 builds on koji, dist-f9.

http://mtasaka.fedorapeople.org/Review_request/mfiler2/mfiler2.spec
http://mtasaka.fedorapeople.org/Review_request/mfiler2/mfiler2-3.2.3-2.fc8.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=282794

-------------------------------------------------
* Sat Dec  8 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.2.3-2
- Add missing CFLAGS
Comment 3 Brian Pepple 2007-12-08 13:04:50 EST
I'll try to review this later today for you.
Comment 4 Brian Pepple 2007-12-08 15:35:34 EST
Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* Files have appropriate permissions and owners
* Valid license tag
* Package builds. http://koji.fedoraproject.org/koji/taskinfo?taskID=282794
* Package requires ruby & ruby abi version.

rpmlint produces only the following warning which can be ignored:
mfiler2-mdnd.x86_64: W: no-documentation

+1 APPROVE
Comment 5 Mamoru TASAKA 2007-12-08 23:32:08 EST
Thank you!

New Package CVS Request
=======================
Package Name:      mfiler2
Short Description: Two pane file manager under UNIX console
Owners:            mtasaka
Branches:          F-8 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-12-10 12:04:57 EST
cvs done.
Comment 7 Mamoru TASAKA 2007-12-10 13:04:13 EST
Rebuilt on dist-f9, closing
(Rebuild on F-8/7 is not done yet because BuildRequires packages
 are not in buildroot yet).

Thank you for your review!

Note You need to log in before you can comment on or make changes to this bug.